Subject: A year ago you came to Russia, I remember you, write me!

From: [email-masked]
Date: Thu, 11 Mar 2010 23:23:09 -0300

Hey - tell me your mobile - Katya from Russia. http://violent48.spaces.live.com